Description

Add the possibility to perform a difference operation from two polygons that stay in the same layer, with a similar behavior of the merge

tools.

History

#1 - 2015-01-31 01:07 PM - Filipe Dias

- Category set to Processing/GDAL

Can you provide a postgis or spatialite query that does what you want? It would help developers understand your request better. It might be possible to

create an ogr2ogr tool that does that.

#2 - 2015-02-03 04:12 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Category changed from Processing/GDAL to Digitising

I don't think that this refers to the geoprocessing operation, as it is already possible to choose the same input layer for a difference operation.

I thin that this refers to the advanced editing toolbar, where the user could choose two polgyons and using them for a difference operation, as it is said, in a

similar way as the "merge selected features" tools work. It is not exactly a digitizing operation, but also the "merge selected features" is not.

Am I right?

PS

doing spatial operations that involve more than 1 input, with ogr2ogr in processing, will be possible when the support for multiple inputs (using virtual

vectors) will be added.

#3 - 2015-02-04 11:56 PM - Luca Lanteri

Yes, you're right, it is advanced editing operation. With two partially overlapping poligon A and B I could perform a subtract operation from A to B or from B

to A.

Thanks

#4 - 2015-06-30 02:23 AM - Regis Haubourg

Hi More generally I have users askling for interactive tools inside the edited layer with classical intersect / buffer / difference tools. We had this in Mapinfo,

and that allows a faster editing workflow. That need to introduce a concept of target feature(s) and source objects. 
Created a dedicated feature request here #13050

#5 - 2015-07-06 07:10 AM - Luca Lanteri

Clipper plugin does the work. Could it be a good thing to add it to advanced editing bar?

#6 - 2017-05-01 12:47 AM - Giovanni Manghi

- Easy fix? set to No
